# Generated by Django 4.2 on 2023-04-27 20:06

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("pantry", "0002_pantryitem_in_pantry"),
    ]

    operations = [
        migrations.AddField(
            model_name="pantryitem",
            name="pantry_chef",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="pantry_chef",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AlterField(
            model_name="pantryitem",
            name="in_pantry",
            field=models.BooleanField(default=True),
        ),
        migrations.AlterField(
            model_name="pantryitem",
            name="name",
            field=models.CharField(max_length=150, unique=True),
        ),
    ]
